#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 43. Audio Utilities

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home

# kwave-23.08.5

## Introduction to KWave

The KWave package contains a KF5 based Sound Editor application.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/23.08.5/src/kwave-23.08.5.tar.xz

- Download MD5 sum: a1a4ae6e687440a40e0a504d2b90df45

- Download size: 6.7 MB

- Estimated disk space required: 77 MB

- Estimated build time: 0.8 SBU (using parallelism=4)

### KWave Dependencies

#### Required

AudioFile-0.3.6, fftw-3.3.10, id3lib-3.8.3, and KDE Frameworks-5.115.0

#### Recommended

alsa-lib-1.2.11, FLAC-1.4.3, libogg-1.3.5, and PulseAudio-17.0

#### Optional

Doxygen-1.10.0

## Installation of KWave

Install KWave by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kwave
Installed Libraries: libkwave.so, libkwavegui.so, and 29 plugins
Installed Directories: $KF5_PREFIX/lib/plugins/kwave, $KF5_PREFIX/share/kwave, $KF5_PREFIX/share/doc/HTML/*/kwave

### Short Descriptions

kwave | is a sound editor built on the KDE Frameworks 5

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home